<div class="wrap" id="dk-speakup">

	<div id="icon-dk-speakup" class="icon32"><br /></div>
	<h2><?php echo $page_title; ?></h2>
	<?php if ( $message_update ) echo '<div id="message" class="updated"><p>' . $message_update . '</p></div>'; ?>
	<div id="message" class="error dk-speakup-error-msg"><p><?php _e( 'Error: Please correct the highlighted fields.' ); ?></p></div>

	<form name="dk-speakup-edit-petition" id="dk-speakup-edit-petition" method="post" action="">
		<?php wp_nonce_field( $nonce ); ?>
		<input type="hidden" name="action" value="<?php echo $action; ?>" />
		<?php if ( $id ) echo '<input type="hidden" name="id" value="' . esc_attr( $id ) . '" />'; ?>

		<div id="poststuff" class="metabox-holder has-right-sidebar">
			<div id="side-info-column" class="inner-sidebar">

				<div class="postbox">
					<h3><?php _e( 'Options', 'dk_speakup' ); ?></h3>

					<div id="minor-publishing">
						<div class="misc-pub-section">

							<div class="dk-speakup-checkbox">
								<input type="checkbox" name="confirm" id="confirm" <?php if( $confirm == '1' ) echo 'checked="checked"'; ?> />
								<label for="confirm" class="dk-speakup-inline"><?php _e( 'Require email confirmation', 'dk_speakup'); ?></label>
							</div>

						</div>
						<div class="misc-pub-section">

							<div class="dk-speakup-checkbox">
								<input type="checkbox" name="display-address" id="display-address" <?php if( $display_address == '1' ) echo 'checked="checked"'; ?> />
								<label for="display-address" class="dk-speakup-inline"><?php _e( 'Display address field', 'dk_speakup'); ?></label>
							</div>

						</div>
						<div class="misc-pub-section">

							<div class="dk-speakup-checkbox">
								<input type="checkbox" name="has_signature_goal" id="has_signature_goal" <?php if( $has_signature_goal == '1' ) echo 'checked="checked"'; ?> />
								<label for="has_signature_goal" class="dk-speakup-inline"><?php _e( 'Set signature goal', 'dk_speakup'); ?></label>
							</div>
							<div class="dk-speakup-signature-goal dk-speakup-subsection <?php if( $has_signature_goal == '0' ) echo 'dk-speakup-hidden'; ?>">
								<label for="signature_goal"><?php _e( 'Goal', 'dk_speakup'); ?>:</label> <input id="signature_goal" name="signature_goal" value="<?php echo esc_attr( $signature_goal ); ?>" size="8" maxlength="8" type="text" />
							</div>

						</div>
						<div class="misc-pub-section misc-pub-section-last">

							<div class="dk-speakup-checkbox">
								<input type="checkbox" name="expires" id="expires" <?php if( $expires == '1' ) echo 'checked="checked"'; ?> />
								<label for="expires" class="dk-speakup-inline"><?php _e( 'Set expiration date', 'dk_speakup'); ?></label>
							</div>
							<div class="dk-speakup-date dk-speakup-subsection <?php if($expires == '0') echo 'dk-speakup-hidden'; ?>">
								<select id="month" name="month">
									<option value="01" <?php if ( $month == '01' ) echo 'selected="selected"'; ?>>Jan</option>
									<option value="02" <?php if ( $month == '02' ) echo 'selected="selected"'; ?>>Feb</option>
									<option value="03" <?php if ( $month == '03' ) echo 'selected="selected"'; ?>>Mar</option>
									<option value="04" <?php if ( $month == '04' ) echo 'selected="selected"'; ?>>Apr</option>
									<option value="05" <?php if ( $month == '05' ) echo 'selected="selected"'; ?>>May</option>
									<option value="06" <?php if ( $month == '06' ) echo 'selected="selected"'; ?>>Jun</option>
									<option value="07" <?php if ( $month == '07' ) echo 'selected="selected"'; ?>>Jul</option>
									<option value="08" <?php if ( $month == '08' ) echo 'selected="selected"'; ?>>Aug</option>
									<option value="09" <?php if ( $month == '09' ) echo 'selected="selected"'; ?>>Sep</option>
									<option value="10" <?php if ( $month == '10' ) echo 'selected="selected"'; ?>>Oct</option>
									<option value="11" <?php if ( $month == '11' ) echo 'selected="selected"'; ?>>Nov</option>
									<option value="12" <?php if ( $month == '12' ) echo 'selected="selected"'; ?>>Dec</option>
								</select>
								<input id="day" name="day" value="<?php echo esc_attr( $day ); ?>" size="2" maxlength="2" type="text" />
								,
								<input id="year" name="year" value="<?php echo esc_attr( $year ); ?>" size="4" maxlength="4" type="text" />
								@
								<input id="hour" name="hour" value="<?php echo esc_attr( $hour ); ?>" size="2" maxlength="2" type="text" />
								:
								<input id="minutes" name="minutes" value="<?php echo esc_attr( $minutes ); ?>" size="2" maxlength="2" type="text" />
							</div>
						</div>
						<div id="major-publishing-actions">
							<input type="submit" name="Submit" id="dk_speakup_submit" value="<?php echo esc_attr( $button_text ); ?>" class="button-primary" />
						</div>

					</div>
				</div>


			</div>

			<div id="post-body">
				<div id="post-body-content">

					<div id="titlediv">
						<div id="titlewrap">
							<label class="hide-if-no-js" style="visibility:hidden" id="title-prompt-text" for="petition_title"><?php _e( 'Enter title here' ); ?></label>
							<input type="text" name="petition_title" size="30" tabindex="1" value="<?php echo esc_attr( $petition_title ); ?>" id="title" />
						</div>
					</div>

					<div class="postbox">
						<h3><?php _e( 'Petition', 'dk_speakup' ); ?></h3>
						<div class="inside">
							<div class="dk-speakup-checkbox send_email">
								<input type="checkbox" name="send_email" id="send_email" <?php if( $send_email == '0' ) echo 'checked="checked"'; ?> />
								<label for="send_email" class="dk-speakup-inline"><?php _e( 'Do not send email (only collect signatures)', 'dk_speakup' ); ?></label>
							</div>
							<div class="dk-speakup-petition-content">
								<div class="dk-speakup-email-headers">
									<label for="petition_email"><?php _e( 'Target Email', 'dk_speakup' ); ?></label>
									<input name="petition_email" id="petition_email" value="<?php echo esc_attr( $petition_email ); ?>" size="40" maxlength="200" type="text" />

									<label for="petition_subject"><?php _e( 'Email Subject', 'dk_speakup' ); ?></label>
									<input name="petition_subject" id="petition_subject" value="<?php echo esc_attr( $petition_subject ); ?>" size="40" maxlength="80" type="text" />

									<label for="petition_greeting"><?php _e( 'Greeting', 'dk_speakup' ); ?></label>
									<input name="petition_greeting" id="petition_greeting" value="<?php echo esc_attr( $petition_greeting ); ?>" size="40" maxlength="80" type="text" />
								</div>
							</div>

							<label for="petition_message"><?php _e( 'Petition Message', 'dk_speakup' ); ?></label>
							<textarea name="petition_message" id="petition_message" rows="10" cols="80"><?php echo $petition_message; ?></textarea>
						</div>
					</div>

					<div class="postbox">
						<h3><?php _e( 'Twitter Message', 'dk_speakup' ); ?></h3>
						<div class="inside">
							<textarea name="twitter_message" id="twitter_message" rows="2" cols="80"><?php echo $twitter_message; ?></textarea>
							<div id="twitter-counter"></div>
						</div>
					</div>

				</div>

			</div>
		</div>

	</form>

</div>